% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/functions_ordering.R
\name{ptorder}
\alias{ptorder}
\title{Order Components by PseudoTime}
\usage{
ptorder(component, cell_metadata = cell_data, threshold = 2,
  side = "both")
}
\arguments{
\item{component}{string; Component name as in cell_data}

\item{cell_metadata}{data.table with columns cell, PseudoTime, and components V1, V2 etc.}

\item{threshold}{numeric; value below which cells will not count towards the ordering of the component}
}
\value{
weighted mean of pseudotime for a given component
}
\description{
Order Components by PseudoTime
}
\details{
The order is determined by using a weighted mean of the pseudotime values, where the weights are the cell scores of 
the component. Only cells with an absolute cell score of greater than 2 contribute to the mean.
}
